Subject: Re: [PATCH 01/15] i2c/powermac: Register i2c devices from device-tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 10 Jun 2012 09:10:22 +1000

On Sun, 2012-06-10 at 00:59 +0200, Andreas Schwab wrote:
> It's a PowerMac G5.  During booting I see this:

There's about half a dozen versions of those :-) I assume the older
PowerMac7,2 ? It's the one that tends to have missing bits in the
device-tree. In that case, I think we still have one of these working at
work, I can have a look when I'm back.

> PowerMac i2c bus pmu 2 registered
> PowerMac i2c bus pmu 1 registered
> PowerMac i2c bus mac-io 0 registered
> i2c i2c-5: i2c-powermac: modalias failure
> on /ht@0,f2000000/pci@1/mac-io@7/i2c@18000/deq@6a
> i2c i2c-5: i2c-powermac: invalid reg
> on /ht@0,f2000000/pci@1/mac-io@7/i2c@18000/i2c-modem
> PowerMac i2c bus u3 1 registered
> i2c i2c-6: i2c-powermac: modalias failure
> on /u3@0,f8000000/i2c@f8001000/cereal@1c0
> PowerMac i2c bus u3 0 registered
> 
> The deq node has no compatible, perhaps the modalias can be
> constructed out of the name instead?

But where is the deq node ? Under i2c or under sound ? If not under i2c
then we need to do something else entirely.

For modalias I'm thinking best might be to have the platform code create
a platform device for sound and have aoa core match on that ;-)

Cheers,
Ben.